Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.swing.view
Class mxCellEditor

    java.lang.Object
      com.mxgraph.swing.view.mxCellEditor

All Implemented Interfaces:
  mxICellEditor

    public class mxCellEditor

extends Object
implements mxICellEditor

To control this editor, use mxGraph.invokesStopCellEditing, mxGraph. enterStopsCellEditing and mxGraph.escapeEnabled.

Field Summary
`static int` | `DEFAULT_MIN_HEIGHT`
`static int` | `DEFAULT_MIN_WIDTH`
`static double` | `DEFAULT_MINIMUM_EDITOR_SCALE`
`protected Object` | `editingCell`
`protected JEditorPane` | `editorPane` Holds the editor for HTML editing.
`protected mxGraphComponent` | `graphComponent`
`protected KeyAdapter` | `keyListener`
`protected double` | `minimumEditorScale` Defines the minimum scale to be used for the editor.
`protected int` | `minimumHeight`
`protected int` | `minimumWidth`
`protected JScrollPane` | `scrollPane`
`protected JTextArea` | `textArea` Holds the editor for plain text editing.
`protected EventObject` | `trigger`

Constructor Summary
`mxCellEditor(mxGraphComponent graphComponent)`

Method Summary
`String` | `getCurrentValue()` Returns the current editing value.
`Object` | `getEditingCell()` Returns the cell that is currently being edited.
`Component` | `getEditor()` Returns the current editor or null if no editing is in progress.
`Rectangle` | `getEditorBounds(mxCellState state, double scale)` Returns the bounds to be used for the editor.
`protected String` | `getInitialValue(mxCellState state, EventObject trigger)` Gets the initial editing value for the given cell.
`double` | `getMinimumEditorScale()`
`int` | `getMinimumHeight()`
`int` | `getMinimumWidth()`
`protected void` | `installKeyHandler()` Installs the keyListener in the textArea and editorPane for handling the enter keystroke and updating the modified state.
`protected boolean` | `isHideLabel(mxCellState state)`
`void` | `setMinimumEditorScale(double minimumEditorScale)`
`void` | `setMinimumHeight(int minimumHeight)`
`void` | `setMinimumWidth(int minimumWidth)`
`void` | `startEditing(Object cell, EventObject trigger)` Starts editing the given cell.
`void` | `stopEditing(boolean cancel)` Stops the current editing.
`protected boolean` | `useLabelBounds(mxCellState state)` Returns true if the label bounds of the state should be used for the editor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MIN_WIDTH

    public static int DEFAULT_MIN_WIDTH

### DEFAULT_MIN_HEIGHT

    public static int DEFAULT_MIN_HEIGHT

### DEFAULT_MINIMUM_EDITOR_SCALE

    public static double DEFAULT_MINIMUM_EDITOR_SCALE

### graphComponent

    protected mxGraphComponent graphComponent

### minimumEditorScale

    protected double minimumEditorScale

  Defines the minimum scale to be used for the editor. Set this to 0 if the font size in the editor

### minimumWidth

    protected int minimumWidth

### minimumHeight

    protected int minimumHeight

### editingCell

    protected transient Object editingCell

### trigger

    protected transient EventObject trigger

### scrollPane

    protected transient JScrollPane scrollPane

### textArea

    protected transient JTextArea textArea

  Holds the editor for plain text editing.

### editorPane

    protected transient JEditorPane editorPane

  Holds the editor for HTML editing.

### keyListener

    protected transient KeyAdapter keyListener

Constructor Detail

### mxCellEditor

    public mxCellEditor(mxGraphComponent graphComponent)

Method Detail

### installKeyHandler

    protected void installKeyHandler()

  Installs the keyListener in the textArea and editorPane for handling the enter keystroke and updating the modified state.

### getEditor

    public Component getEditor()

  Returns the current editor or null if no editing is in progress.

### useLabelBounds

    protected boolean useLabelBounds(mxCellState state)

  Returns true if the label bounds of the state should be used for the editor.

### getEditorBounds

    public Rectangle getEditorBounds(mxCellState state,
                                     double scale)

  Returns the bounds to be used for the editor.

### startEditing

    public void startEditing(Object cell,
                             EventObject trigger)

  Description copied from interface: `mxICellEditor`
  Starts editing the given cell.

  Specified by:
    `startEditing` in interface `mxICellEditor`

### isHideLabel

    protected boolean isHideLabel(mxCellState state)

### stopEditing

    public void stopEditing(boolean cancel)

  Description copied from interface: `mxICellEditor`
  Stops the current editing.

  Specified by:
    `stopEditing` in interface `mxICellEditor`

### getInitialValue

    protected String getInitialValue(mxCellState state,
                                     EventObject trigger)

  Gets the initial editing value for the given cell.

### getCurrentValue

    public String getCurrentValue()

  Returns the current editing value.

### getEditingCell

    public Object getEditingCell()

  Description copied from interface: `mxICellEditor`
  Returns the cell that is currently being edited.

  Specified by:
    `getEditingCell` in interface `mxICellEditor`

### getMinimumEditorScale

    public double getMinimumEditorScale()

  Returns:
    the minimumEditorScale

### setMinimumEditorScale

    public void setMinimumEditorScale(double minimumEditorScale)

  Parameters:
    `minimumEditorScale` - the minimumEditorScale to set

### getMinimumWidth

    public int getMinimumWidth()

  Returns:
    the minimumWidth

### setMinimumWidth

    public void setMinimumWidth(int minimumWidth)

  Parameters:
    `minimumWidth` - the minimumWidth to set

### getMinimumHeight

    public int getMinimumHeight()

  Returns:
    the minimumHeight

### setMinimumHeight

    public void setMinimumHeight(int minimumHeight)

  Parameters:
    `minimumHeight` - the minimumHeight to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.